<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Car Tube</title>
    <link rel="stylesheet" href="/style/styles.css">
    <script src="/src/app.js" type="module"></script>
</head>

<body>

    <div id="container">

        <!-- Navigation -->
        <header>
            <nav>
                <a class="active" href="/home">Home</a>
                <a href="/getAllCars">All Listings</a>
                <a href="/search">By Year</a>
                <!-- Guest users -->
                <div id="guest">
                    <a href="/login">Login</a>
                    <a href="/register">Register</a>
                </div>
                <!-- Logged users -->
                <div id="profile">
                    <a>Welcome username</a>
                    <a href="/myCars">My Listings</a>
                    <a href="/create">Create Listing</a>
                    <a href="/home">Logout</a>
                </div>
            </nav>
        </header>

        <main id="site-content">

            <!-- Main Content -->

        </main>

       

        <footer>
            <p>&copy; All rights reserved</p>
        </footer>
    </div>

</body>

</html>